<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head>
<body onload="setBrowserTitle('HttpCore NIO 4.3-alpha1: org.apache.http.nio.integration.testInputThrottling');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestThrottlingNHttpHandlers.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestThrottlingNHttpHandlers_testInputThrottling_19.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/nio/integration/TestThrottlingNHttpHandlers.html?line=686#src-686" >testInputThrottling</a>
    </td>
        <td class="graphPercent alignTop">
        1.3%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:45:04
    </td>
    <td class="graphPercent alignTop">
        0.303    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testInputThrottling</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.SessionHttpContext</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/SessionHttpContext.html?id=45#SessionHttpContext"             title="SessionHttpContext" name="sl-33">org.apache.http.impl.nio.SessionHttpContext</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractContentDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractContentDecoder.html?id=45#AbstractContentDecoder"             title="AbstractContentDecoder" name="sl-45">org.apache.http.impl.nio.codecs.AbstractContentDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=45#AbstractMultiworkerIOReactor.DefaultThreadFactory"             title="AbstractMultiworkerIOReactor.DefaultThreadFactory" name="sl-591">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ChannelEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/ChannelEntry.html?id=45#ChannelEntry"             title="ChannelEntry" name="sl-43">org.apache.http.impl.nio.reactor.ChannelEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=45#AbstractMultiworkerIOReactor.Worker"             title="AbstractMultiworkerIOReactor.Worker" name="sl-564">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.9</span>
            90%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="10% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90% Covered" class="barPositive contribBarPositive" style="width: 90%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.ThrottlingHttpClientHandler.ClientConnState</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html?id=45#ThrottlingHttpClientHandler.ClientConnState"             title="ThrottlingHttpClientHandler.ClientConnState" name="sl-559">org.apache.http.nio.protocol.ThrottlingHttpClientHandler.ClientConnState</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8076923</span>
            80.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="19.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="80.8% Covered" class="barPositive contribBarPositive" style="width: 80.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestHandle</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionRequestHandle.html?id=45#SessionRequestHandle"             title="SessionRequestHandle" name="sl-42">org.apache.http.impl.nio.reactor.SessionRequestHandle</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractContentEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractContentEncoder.html?id=45#AbstractContentEncoder"             title="AbstractContentEncoder" name="sl-46">org.apache.http.impl.nio.codecs.AbstractContentEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7647059</span>
            76.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="23.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="76.5% Covered" class="barPositive contribBarPositive" style="width: 76.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.ChunkEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/ChunkEncoder.html?id=45#ChunkEncoder"             title="ChunkEncoder" name="sl-47">org.apache.http.impl.nio.codecs.ChunkEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.73134327</span>
            73.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="26.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="73.1% Covered" class="barPositive contribBarPositive" style="width: 73.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.ContentInputStream</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/ContentInputStream.html?id=45#ContentInputStream"             title="ContentInputStream" name="sl-44">org.apache.http.nio.entity.ContentInputStream</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.15384616</span>
                15.4%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7307692</span>
            73.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="26.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="73.1% Covered" class="barPositive contribBarPositive" style="width: 73.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html?id=45#DefaultHttpRequestWriter"             title="DefaultHttpRequestWriter" name="sl-48">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.71428573</span>
            71.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.4% Covered" class="barPositive contribBarPositive" style="width: 71.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html?id=45#DefaultHttpResponseWriter"             title="DefaultHttpResponseWriter" name="sl-48">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.71428573</span>
            71.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.4% Covered" class="barPositive contribBarPositive" style="width: 71.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.ContentBufferEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/ContentBufferEntity.html?id=45#ContentBufferEntity"             title="ContentBufferEntity" name="sl-44">org.apache.http.nio.entity.ContentBufferEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6923077</span>
            69.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="30.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69.2% Covered" class="barPositive contribBarPositive" style="width: 69.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.ThrottlingHttpServiceHandler.ServerConnState</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html?id=45#ThrottlingHttpServiceHandler.ServerConnState"             title="ThrottlingHttpServiceHandler.ServerConnState" name="sl-622">org.apache.http.nio.protocol.ThrottlingHttpServiceHandler.ServerConnState</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.67346936</span>
            67.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="32.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="67.3% Covered" class="barPositive contribBarPositive" style="width: 67.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpClientConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html?id=45#DefaultNHttpClientConnection"             title="DefaultNHttpClientConnection" name="sl-75">org.apache.http.impl.nio.DefaultNHttpClientConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6644737</span>
            66.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.4% Covered" class="barPositive contribBarPositive" style="width: 66.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpServerConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html?id=45#DefaultNHttpServerConnection"             title="DefaultNHttpServerConnection" name="sl-76">org.apache.http.impl.nio.DefaultNHttpServerConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6602564</span>
            66%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="34% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66% Covered" class="barPositive contribBarPositive" style="width: 66%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractMessageWriter.html?id=45#AbstractMessageWriter"             title="AbstractMessageWriter" name="sl-53">org.apache.http.impl.nio.codecs.AbstractMessageWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.65384614</span>
            65.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="34.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="65.4% Covered" class="barPositive contribBarPositive" style="width: 65.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.ContentOutputStream</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/ContentOutputStream.html?id=45#ContentOutputStream"             title="ContentOutputStream" name="sl-43">org.apache.http.nio.entity.ContentOutputStream</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.64705884</span>
            64.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="35.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="64.7% Covered" class="barPositive contribBarPositive" style="width: 64.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.ChunkDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/ChunkDecoder.html?id=45#ChunkDecoder"             title="ChunkDecoder" name="sl-55">org.apache.http.impl.nio.codecs.ChunkDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6136364</span>
            61.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="38.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="61.4% Covered" class="barPositive contribBarPositive" style="width: 61.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/AbstractMessageParser.html?id=45#AbstractMessageParser"             title="AbstractMessageParser" name="sl-59">org.apache.http.impl.nio.codecs.AbstractMessageParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.58474576</span>
            58.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="41.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="58.5% Covered" class="barPositive contribBarPositive" style="width: 58.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.ThrottlingHttpClientHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html?id=45#ThrottlingHttpClientHandler"             title="ThrottlingHttpClientHandler" name="sl-102">org.apache.http.nio.protocol.ThrottlingHttpClientHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.57284766</span>
            57.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="42.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="57.3% Covered" class="barPositive contribBarPositive" style="width: 57.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.BaseIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/BaseIOReactor.html?id=45#BaseIOReactor"             title="BaseIOReactor" name="sl-55">org.apache.http.impl.nio.reactor.BaseIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.022988506</span>
                2.3%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.55172414</span>
            55.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="44.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="55.2% Covered" class="barPositive contribBarPositive" style="width: 55.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.SharedOutputBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/SharedOutputBuffer.html?id=45#SharedOutputBuffer"             title="SharedOutputBuffer" name="sl-56">org.apache.http.nio.util.SharedOutputBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.10404624</span>
                10.4%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5433526</span>
            54.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="45.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="54.3% Covered" class="barPositive contribBarPositive" style="width: 54.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.SharedInputBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/SharedInputBuffer.html?id=45#SharedInputBuffer"             title="SharedInputBuffer" name="sl-55">org.apache.http.nio.util.SharedInputBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.022222223</span>
                2.2%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.53333336</span>
            53.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="46.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="53.3% Covered" class="barPositive contribBarPositive" style="width: 53.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.ThrottlingHttpServiceHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html?id=45#ThrottlingHttpServiceHandler"             title="ThrottlingHttpServiceHandler" name="sl-113">org.apache.http.nio.protocol.ThrottlingHttpServiceHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.517341</span>
            51.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="48.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="51.7% Covered" class="barPositive contribBarPositive" style="width: 51.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.DirectByteBufferAllocator</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/DirectByteBufferAllocator.html?id=45#DirectByteBufferAllocator"             title="DirectByteBufferAllocator" name="sl-41">org.apache.http.nio.util.DirectByteBufferAllocator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.ExpandableBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/ExpandableBuffer.html?id=45#ExpandableBuffer"             title="ExpandableBuffer" name="sl-47">org.apache.http.nio.util.ExpandableBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.HeapByteBufferAllocator</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/util/HeapByteBufferAllocator.html?id=45#HeapByteBufferAllocator"             title="HeapByteBufferAllocator" name="sl-41">org.apache.http.nio.util.HeapByteBufferAllocator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html?id=45#DefaultConnectingIOReactor"             title="DefaultConnectingIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4857143</span>
            48.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="51.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="48.6% Covered" class="barPositive contribBarPositive" style="width: 48.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html?id=45#DefaultHttpRequestParser"             title="DefaultHttpRequestParser" name="sl-54">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.47058824</span>
            47.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="52.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="47.1% Covered" class="barPositive contribBarPositive" style="width: 47.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html?id=45#DefaultHttpResponseParser"             title="DefaultHttpResponseParser" name="sl-54">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.47058824</span>
            47.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="52.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="47.1% Covered" class="barPositive contribBarPositive" style="width: 47.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.NHttpConnectionBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html?id=45#NHttpConnectionBase"             title="NHttpConnectionBase" name="sl-97">org.apache.http.impl.nio.NHttpConnectionBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4248927</span>
            42.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="57.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42.5% Covered" class="barPositive contribBarPositive" style="width: 42.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.entity.NStringEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/entity/NStringEntity.html?id=45#NStringEntity"             title="NStringEntity" name="sl-56">org.apache.http.nio.entity.NStringEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.42553192</span>
            42.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="57.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42.6% Covered" class="barPositive contribBarPositive" style="width: 42.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpClientIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html?id=45#DefaultHttpClientIODispatch"             title="DefaultHttpClientIODispatch" name="sl-53">org.apache.http.impl.nio.DefaultHttpClientIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html?id=45#SessionInputBufferImpl"             title="SessionInputBufferImpl" name="sl-61">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3901099</span>
            39%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39% Covered" class="barPositive contribBarPositive" style="width: 39%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionRequestImpl.html?id=45#SessionRequestImpl"             title="SessionRequestImpl" name="sl-47">org.apache.http.impl.nio.reactor.SessionRequestImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.39097744</span>
            39.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.1% Covered" class="barPositive contribBarPositive" style="width: 39.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.NHttpHandlerBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html?id=45#NHttpHandlerBase"             title="NHttpHandlerBase" name="sl-50">org.apache.http.nio.protocol.NHttpHandlerBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.38636363</span>
            38.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.6% Covered" class="barPositive contribBarPositive" style="width: 38.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpServerIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html?id=45#DefaultHttpServerIODispatch"             title="DefaultHttpServerIODispatch" name="sl-53">org.apache.http.impl.nio.DefaultHttpServerIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.38235295</span>
            38.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.2% Covered" class="barPositive contribBarPositive" style="width: 38.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.LengthDelimitedEncoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedEncoder.html?id=45#LengthDelimitedEncoder"             title="LengthDelimitedEncoder" name="sl-55">org.apache.http.impl.nio.codecs.LengthDelimitedEncoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.38333333</span>
            38.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.3% Covered" class="barPositive contribBarPositive" style="width: 38.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.LengthDelimitedDecoder</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/LengthDelimitedDecoder.html?id=45#LengthDelimitedDecoder"             title="LengthDelimitedDecoder" name="sl-56">org.apache.http.impl.nio.codecs.LengthDelimitedDecoder</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3773585</span>
            37.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="62.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37.7% Covered" class="barPositive contribBarPositive" style="width: 37.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html?id=45#DefaultListeningIOReactor"             title="DefaultListeningIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.35664335</span>
            35.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.7% Covered" class="barPositive contribBarPositive" style="width: 35.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractIOReactor.html?id=45#AbstractIOReactor"             title="AbstractIOReactor" name="sl-59">org.apache.http.impl.nio.reactor.AbstractIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3544776</span>
            35.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="64.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="35.4% Covered" class="barPositive contribBarPositive" style="width: 35.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOSessionImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/IOSessionImpl.html?id=45#IOSessionImpl"             title="IOSessionImpl" name="sl-54">org.apache.http.impl.nio.reactor.IOSessionImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.33663365</span>
            33.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="66.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="33.7% Covered" class="barPositive contribBarPositive" style="width: 33.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html?id=45#AbstractIODispatch"             title="AbstractIODispatch" name="sl-45">org.apache.http.impl.nio.reactor.AbstractIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3125</span>
            31.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.2% Covered" class="barPositive contribBarPositive" style="width: 31.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/ListenerEndpointImpl.html?id=45#ListenerEndpointImpl"             title="ListenerEndpointImpl" name="sl-45">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3125</span>
            31.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="68.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31.2% Covered" class="barPositive contribBarPositive" style="width: 31.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html?id=45#SessionOutputBufferImpl"             title="SessionOutputBufferImpl" name="sl-61">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.30625</span>
            30.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.6% Covered" class="barPositive contribBarPositive" style="width: 30.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=45#AbstractMultiworkerIOReactor"             title="AbstractMultiworkerIOReactor" name="sl-98">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.23305085</span>
            23.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="76.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="23.3% Covered" class="barPositive contribBarPositive" style="width: 23.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriterFactory.html?id=45#DefaultHttpRequestWriterFactory"             title="DefaultHttpRequestWriterFactory" name="sl-44">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriterFactory.html?id=45#DefaultHttpResponseWriterFactory"             title="DefaultHttpResponseWriterFactory" name="sl-44">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParserFactory.html?id=45#DefaultHttpRequestParserFactory"             title="DefaultHttpRequestParserFactory" name="sl-47">org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParserFactory.html?id=45#DefaultHttpResponseParserFactory"             title="DefaultHttpResponseParserFactory" name="sl-47">org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOReactorConfig</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html?id=45#IOReactorConfig"             title="IOReactorConfig" name="sl-42">org.apache.http.impl.nio.reactor.IOReactorConfig</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.13333334</span>
            13.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="86.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="13.3% Covered" class="barPositive contribBarPositive" style="width: 13.3%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
